Bug 987977 - When scheduling package installs with added command after install (reboot/yum check-update) unable to cancel.
When scheduling package installs with added command after install (reboot/yum...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Red Hat Satellite QA List
:
Depends On: 985491
Blocks: 1066479 space21
  Show dependency treegraph
 
Reported: 2013-07-24 09:43 EDT by Grant Gainey
Modified: 2015-01-25 23:59 EST (History)
6 users (show)

See Also:
Fixed In Version: spacewalk-java-2.1.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 985491
: 1066479 (view as bug list)
Environment:
Last Closed: 2014-03-04 08:06:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Grant Gainey 2013-07-24 09:46:44 EDT
When scheduling package installs with added command after install (reboot/yum check-update) unable to cancel. 

Version-Release number of selected component (if applicable):
RHN 5.5 Satellite x86_64 (5.5.0.20-1.el6sat) 
Clients with OSAD enabled 

How reproducible:
Customer has shown in screen sharing how this is occurring and also takes screen shots. However, in reproducer we are unable to replicate this issue. Look for differences in provided SOS and Debug and see PAM auth is enabled using veritas. 

Steps to Reproduce:
Steps outlined by Customer:

"To replicate I do the following:
+using 2 systems (Both same RHEL5 OS, both have identical patches to update), systems are selected via SSM.
+Select the following:
  software->
  upgrade->
  select all (patches)->
  schedule the task for next day at xx/xx/xx @hh:mm->
  add arbitrary cmd->
      (yum check-update|grep x86_64 |mailx -s "after patches completed" xxxx@xxx.xxx)
      (execute immediately after patch upgrade)
+confirm

Afterwards, I goto "Schedule" on top bar to see events that will happen, I see all of my patch upgrades (each host has a line entry), I also see the arbitrary cmd (there is only 1 line item for ALL hosts).
ALSO, if you take the list of hosts in SSM and put them in a sequential list (alphabetized), this can be correlated to the line items found in the "Schedule" list.  The 1st line item can be selected, the others are UN-selectable.

IF/WHEN I select the 1st line item and remove/cancel that event, it leaves the remaining line items (hosts scheduled to be upgrades) UN-selectable.  From this point on, I am NOT able to stop satellite from carrying out the scheduled events.  I have no way to cancel them.

My only possible workaround is the log into EACH host that is scheduled and issue a:
service osad stop
rhn-action-controls --disable
....and cross fingers that the host will not pick up the task from satellite."

Actual results:
Unable to cancel events and see that the test client he schedule the install/tasks got picked up. Seen in screen shots.

 Reproduce steps: 
-----------------
 On webUI:

      on System's tab:
 
         * Select two or three systems with provisioning entitlement and click on Manage button (SSM)

      on SSM:

         Packages -> Upgrade existing packages -> Select all or select a few packages -> Upgrade selected packages

         Schedule action for no sooner than (pick up some time in the time (+30min per example) and click on Add Remote Command to Package Upgrade

       on Schedule Remote Command:

         Run: After package action
         Script: whatever you want

          and then click on Confirm Remote Command and Schedule Package Upgrade

      On confirmed, click on Schedule tab. You will see that the actions are tied and only the first Package install is allowed to be deleted. 

      If you select the first one and delete it, the other actions will remain in the webUI, which is not expected.
Comment 2 Grant Gainey 2013-07-24 11:25:59 EDT
10fa99004b5d9a177cfe3aba8082c48bd6aa4227
Comment 3 Grant Gainey 2013-07-25 16:11:49 EDT
caac301bfbef1353df6fb8e4b0f7d71bb9fac7b4
Comment 4 Matej Kollar 2014-01-17 07:15:20 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 5 Matej Kollar 2014-03-04 08:06:19 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21
Comment 6 Matej Kollar 2014-03-04 08:08:30 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21

Note You need to log in before you can comment on or make changes to this bug.